Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application

Software Version 03.10.0000

© Keysight Technologies 2015

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

February, 2015

Table of Contents

MIPI D-PHY Test Compliance Application—At a Glance
Starting the MIPI D-PHY Test Compliance Application
To view/minimize the task flow pane
To view/hide the toolbar
Creating or Opening a Test Project
To set load preferences
Setting Up InfiniiSim
2 Port setting
4 Port setting
Setting Up the Precision Probe/Cable
Setting Up Switch Matrix
Switch Matrix — Overview
To Enable Switch Matrix
Establishing Connection to the Switch Drivers — Automatically
Establishing Connection to the Switch Drivers — Manually
Configuring Signal Paths
Configuring Signal Paths with Automatic Selection
Configuring Signal Paths with Manual Selection
Response Correction
Setting Up the Test Environment
Selecting Tests
Configuring Tests
Compliance Limits
To Activate/Refresh Limit Set
To Create/Edit Limit Set
Connecting the Oscilloscope to the DUT
Running Tests
To select the "store mode"
To run multiple times
To send email on pauses or stops
To pause or stop on events
To specify the event
To set the display preferences
To set the run preferences
Automating the Application
Script Mode
Using the command generator in Automation
Files Mode
Execution
Settings Status
Command Line
Viewing Results
To delete trials from the results
To show reference images and flash mask hits
To change margin thresholds
To change the test display order
To set the Trial Display preferences
Viewing/Exporting/Printing the Report
To export the report
To export results in CSV (comma-separated value) format
To export the report in HTML format
To print the report
To set HTML Report preferences
Understanding the Report
Summary of Results
Report Detail
Saving Test Projects
To set AutoRecovery preferences
User Defined Add-Ins
To install an add-in
To remove an add-in
Controlling the Application via a Remote PC
To check for the App Remote license
To identify the remote interface version
To enable the remote interface
To enable remote interface hints
Using a Second Monitor

U7238C/U7238D MIPI D-PHY Test Compliance Application

Online Help


MIPI D-PHY Test Compliance Application—At a Glance

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

MIPI D-PHY Test Compliance Application—At a Glance

The Keysight U7238C/U7238D MIPI D-PHY Compliance Application caters to High-Speed Transmitter tests and Low-Speed Transmitter tests on all MIPI devices, with the Keysight Infiniium oscilloscope based on the MIPI Alliance Conformance Test Suite for D-PHY v1.2 specification. MIPI stands for Mobile Industry Processor Interface. The MIPI Alliance is a collaboration of mobile industry leader with the objective to define and promote open standards for interfaces to mobile application processors.

The MIPI D-PHY test compliance application requires:

  • U7238C/U7238D MIPI D-PHY Compliance Application software.

  • The minimum version of Infiniium oscilloscope software (see the U7238C/U7238D MIPI D-PHY Compliance Application release notes).

  • Differential probe amplifier, with the minimum bandwidth of 5 GHz.

  • E2677A differential solder-in probe head, E2675A differential browser probe head, E2678A differential socket probe head, and E2669A differential kit which includes E2675A, E2677A, and E2678A are recommended.

  • Keyboard, qty = 1, (provided with the Keysight Infiniium oscilloscope).

  • Mouse, qty = 1, (provided with the Keysight Infiniium oscilloscope).

  • U7238C/U7238D MIPI D-PHY Compliance Application license.

  • Keysight also recommends using a second monitor to view the automated test application.

To use the automated test application, see:

  • Starting the MIPI D-PHY Test Compliance Application

    • To view/minimize the task flow pane
    • To view/hide the toolbar

  • Creating or Opening a Test Project

    • To set load preferences

  • Setting Up InfiniiSim

    • 2 Port setting

    • 4 Port setting

  • Setting Up the Precision Probe/Cable

  • Setting Up Switch Matrix

  • Switch Matrix — Overview

  • To Enable Switch Matrix

  • Establishing Connection to the Switch Drivers — Automatically

  • Establishing Connection to the Switch Drivers — Manually

  • Configuring Signal Paths

  • Configuring Signal Paths with Automatic Selection

  • Configuring Signal Paths with Manual Selection

  • Response Correction

  • Setting Up the Test Environment

  • Selecting Tests

  • Configuring Tests

    • Compliance Limits

      • To Activate/Refresh Limit Set

      • To Create/Edit Limit Set

  • Connecting the Oscilloscope to the DUT

  • Running Tests

    • To select the "store mode"

    • To run multiple times

    • To send email on pauses or stops

    • To pause or stop on events

    • To specify the event

    • To set the display preferences

    • To set the run preferences

  • Automating the Application

    • Script Mode

      • Using the command generator in Automation

    • Files Mode

    • Execution

    • Settings Status

    • Command Line

  • Viewing Results

    • To delete trials from the results

    • To show reference images and flash mask hits

    • To change margin thresholds

    • To change the test display order

    • To set the Trial Display preferences

  • Viewing/Exporting/Printing the Report

    • To export the report

      • To export results in CSV (comma-separated value) format

      • To export the result in HTML format

    • To print the report

    • To set HTML Report preferences

  • Understanding the Report

    • Summary of Results

    • Report Detail

  • Saving Test Projects

    • To set AutoRecovery preferences

  • User-Defined Add-Ins

    • To install an add-in

    • To remove an add-in

  • Controlling the Application via a Remote PC

    • To check for the App Remote license

    • To identify the remote interface version

    • To enable the remote interface

    • To enable remote interface hints

For more information on performing MIPI D-PHY compliance tests, see:

  • Keysight U7238C/U7238D MIPI D-PHY Conformance Test Application Methods of Implementation


Starting the MIPI D-PHY Test Compliance Application

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Starting the MIPI D-PHY Test Compliance Application

  1. From the Infiniium oscilloscope's main menu, choose Analyze>Automated Test Apps>U7238C/U7238D MIPI D-PHY Test App.

  2. The MIPI D-PHY Test Compliance Application window appears.

See Also

· To view/minimize the task flow pane

· To view/hide the toolbar

Next

· Creating or Opening a Test Project


To view/minimize the task flow pane

Starting the MIPI D-PHY Test Compliance Application

To view/minimize the task flow pane

  • To toggle between a minimized and restored task flow pane, choose View>Task Flow from the menu.

  • To minimize the task flow pane, click the minimize button in the pane.

  • To restore a minimized task flow pane, click the [image] button in the pane.


To view/hide the toolbar

Starting the MIPI D-PHY Test Compliance Application

To view/hide the toolbar

  • To toggle between a hidden and visible toolbar, click View>Toolbar from the menu.


Creating or Opening a Test Project

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Creating or Opening a Test Project

To create a new test project:

  1. Choose File>New Project... from the menu.

A new, empty project, with all the default settings is created. If you create a new project again, the Start New Project window appears where you may choose to retain some of the pre-configured settings of the tool.

To open an existing test project:

  1. Choose File>Open Project... from the menu.

  2. In the Open dialog box, browse to a test project directory and select the desired .proj file.

  3. Click Open.

See Also

· To set load preferences

Next

· Setting Up the Test Environment


To set load preferences

Creating or Opening a Test Project

To set load preferences

  1. From the MIPI D-PHY test compliance application's menu, choose View>Preferences....

  2. In the Preferences dialog box, select the Save/Load tab.

  3. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To set up InfiniiSim

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Setting Up InfiniiSim

Note

The InfiniiSim setup feature is only accessible from the MIPI D-PHY Test Compliance application if it is currently licensed on the oscilloscope.

  1. From the MIPI D-PHY test compliance application's main menu, click Tools>Infiniium>InfiniiSim....

  2. In the Configure InfiniiSim dialog box, select either the 2 Port or 4 Port setting for the respective scope channel.

2 Port setting

Use this setting to configure only a 2-port channel for your test set up.

  1. When you select the 2 Port radio button, the Configure InfiniiSim dialog box displays several parameters along with the option to configure the Transfer Function feature:

4 Port setting

Use this setting to configure either two channels with 4-ports or to configure 4-ports on a single channel.

  1. In this example, you may either select 4 Port (Channels 1 & 3) or 4 Port (Channel 1). For the rest of the channels, you may select either of the following options:

· For Channel 2, select either 4 Port (Channels 2 & 4) or 4 Port (Channel 2)

· For Channel 3, select either 4 Port (Channels 1 & 3) or 4 Port (Channel 3)

· For Channel 4, select either 4 Port (Channels 2 & 4) or 4 Port (Channel 4)

The Configure InfiniiSim dialog box displays several parameters along with the option to configure the Transfer Function feature:

Note

Most of the parameters for the 4 Port InfiniiSim set up are the same. However, the extension for the Transfer Function File in the 2 Port set up is tf2 and in the 4 Port set up, the extension changes to tf4. Also, notice that the Port Extraction area is enabled only for the 4 Port (Channel 1) set up.

· For 4 Port (Channels 1 & 3)—

· For 4 Port (Channel 1)—

You may configure the following features and parameters irrespective of whether you select 2 Port, 4 Port (Channels 1 & 3) or 4 Port (Channel 1).

    1. Create Transfer Function From Model...—Use this feature to create and save a configuration file for measurement and simulation circuits on the Infiniium Oscilloscope.

· Click the [image] button to access the Create Transfer Function dialog box.

· Click Start and follow the instructions as listed in the instructions. Once you have completed all steps, click Finish on the same dialog box.

  2. Apply Transfer Function—Use this feature to load the configuration file saved on the local disk for measurement and simulation circuits.

· In this area, either manually type the file path and name in the Transfer Function File field or click the [image] button to select the transfer function file from the local disk.

Notice that the extension for the Transfer Function File in the 2 Port set up is tf2 and in the 4 Port set up, the extension changes to tf4.

· Select the transfer function file (*.tf2 or *.tf4) and click Open. The Transfer Function File field displays the file path and file name.

  3. Select an option from the drop-down if you wish to include or remove delay. By default, IncludeFilterDelay is selected.

  4. By default, the Bandwidth Limit field is grayed out and the value is set to 4000.000 MHz. You may select the check-box to enable this field and change the value. You may also change the values for Response Correction. In the Filter Size area, you may change the values for Max Time Span and Min Frequency Resolution.

  5. Once you have finished configuring InfiniiSim for the required scope channels, click OK to save the changes or click Cancel to discard the changes and return to the MIPI D-PHY test compliance application window.


To set up Precision Probe or Cable

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Setting Up the Precision Probe/Cable

Note

You may access the precision probe/cable setup feature on the MIPI D-PHY Test Compliance Application only if the license is available on the Keysight Infiniium Oscilloscope.

  1. From the MIPI D-PHY test compliance application's main menu, click Tools > Infiniium > PrecisionProbe/PrecisionCable....

The Configure PrecisionProbe / PrecisionCable dialog appears, where you can set up the precision probe or the precision cable.

  2. Click the scope channel being used.

  3. In the Mode section, select one of the following options. Notice that the display in the lower part of the dialog changes according to your selection:

· PrecisionProbe—to calibrate the probes.

· PrecisionCable—to remove insertion loss caused by cables or fixtures.

The AC Calibration field displays the current status of the precision probe/cable.

Prior to enabling the settings for the precision probe/cable, you must perform calibration for the probe/cable on the scope.

  4. Click the Create New... button. The Create Calibration dialog displays.

· Create Calibration dialog for PrecisionProbe:

· Create Calibration dialog for PrecisionCable:

  4. On the Create Calibration dialog, click the Start button and follow the on-screen instructions to create probe/cable calibration files. Click Finish to exit the Create Calibration dialog and return to Configure PrecisionProbe / PrecisionCable dialog.

  5. Click OK to return to the test environment.


To set up the switch matrix

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Setting Up Switch Matrix

Switch Matrix — Overview

An Oscilloscope has only 4 channels to run tests. The limited number of channels may, at times, limit the testing of some multi-lane standards. Also, it may prove to be a hindrance to run test procedures for multi-port devices or simultaneous testing of multiple devices. The Switch Matrix feature on the Infiniium Oscilloscope overcomes such limitations. The purpose of the ‘Switch Matrix’ feature is to ease the testing procedure, make it more feasible and to reduce the overall time. Using this feature, you can connect all four lane pairs of the source devices to the correct switches and to obtain an accurate signal path whenever required.

Keysight recommends the following switches to be used with the U7238C/U7238D MIPI D-PHY Conformance Test Application:

· Keysight U3020AS26

· BitifEye BIT-2100

Note

You require an additional license to support this optional feature of Switch Matrix in the U7238C/U7238D MIPI D-PHY Conformance Test Application.

To Enable Switch Matrix

Before you begin the testing of four lane pairs of the source devices simultaneously, you must enable the Switch Matrix feature.

To enable the switch matrix feature:

  1. Click Tools>Switch Matrix....

  2. In the Configure Switch Matrix Settings dialog box, click the On radio button to enable the Switch Matrix feature.

Enabling the Switch Matrix feature also enables the automated switch control. Notice that the Automatically select drivers and paths (limited models) radio button in the Configuration Mode section of the Controller tab is selected by default.

Establishing Connection to the Switch Drivers — Automatically

In the Configure Switch Matrix Settings dialog, under the Controller tab:

  1. From the Switch Drivers section, select the switch model from the Model: drop-down options.

Note

If you choose the other switch model next time, the switch settings and the response correction for all paths is reset based on the selected switch driver model.

  2. Click the Connect button to be able to connect the selected switch driver to a physical switch instrument.

  3. A Connect to <switch-model> dialog displays, which gives you two options to establish a connection to the switch models.

· Enter full SICL address or VISA alias—Select this radio button to type the complete SICL or VISA address of the switch driver. By default, this option is selected.

Click the Identify button to identify the instrument at the specified address or alias and to view the current status of the instrument that is connected to the switch driver. Click OK to exit.

A list of drivers is available to assign signal path. Click OK to return to the Configure Switch Matrix Settings dialog.

Click OK to save the settings and return to the test environment.

· Select from Keysight Connection Expert—Select this radio button to control the application with the help of remote PC. Upon selecting this option, the application starts seeking device information from the Keysight Connection Expert.

If remote access of the device is enabled, the Connect to <switch-model> dialog displays the list of active instruments.

Click to select the Identify* / Hide unresponsive addresses check-box to send an IDN query to every instrument in the list and search for the active instruments, if any.

If any active instruments are found, the Connect to <switch-model> dialog lists out such instruments. Select an instrument from the list and click OK to return to the Configure Switch Matrix Settings dialog.

If there are no active instruments found, the application displays an error message (as shown below). Click OK to return to the Configure Switch Matrix Settings dialog.

Click OK in the Configure Switch Matrix Settings dialog to save the settings and return to the test environment.

Note

The Select from Keysight Connection Expert option is available only when the device is turned on and enabled for remote access.

To know more about how to control the application remotely, see Controlling the Application via a Remote PC.

Establishing Connection to the Switch Drivers — Manually

In the Configure Switch Matrix Settings dialog:

  1. Click to select the Manually perform these tasks (any supported model) radio button in the Configuration Mode section.

  2. In the Switch Drivers section, you may use the Add button to append the list of any additional drivers, which require a connection to an instrument. Use the Delete button to remove a selected driver from the list. Removing the driver from the list dissociates any signal paths that may have been assigned to it earlier.

Note

The Manually perform these tasks (any supported model) option allows you to decide how many drivers to use and how to route the signal paths. It enables the use of any supported switch model.

Rest of the steps for establishing a connection to the switch models remains the same as described in the Establishing Connection to the Switch Drivers — Automatically. The only difference between automatic and manual modes is that you can add/delete and select switch drivers (any supported model) as per your requirements and preferences in the manual mode.

Configuring Signal Paths

Once you have enabled the Switch Matrix feature and set up connections to the switch drivers, you must configure signal paths. The options to configure the signal paths vary depending upon whether you have selected Automatically select drivers and paths (limited models) or Manually perform these tasks (any supported model) in the Controller tab of the Configure Switch Matrix Settings dialog.

Configuring Signal Paths with Automatic Selection

When you have selected Automatically select drivers and paths (limited models) in the Controller tab of the Configure Switch Matrix Settings dialog:

  1. Click the Signal Paths tab in the Configure Switch Matrix Settings dialog.

Notice that the signal paths are already predefined. Also, the Source and Sink points are read-only. At runtime, when the Switch Matrix module is on and when a connection prompt occurs, two events occur:

· The framework suppresses the prompts.

· The Switch Matrix module detects the new connection and then throw switches, as indicated in the Switch column, taking into account the current value of the config variable (if any) associated with the connection.

Configuring Signal Paths with Manual Selection

When you have selected Manually perform these tasks (any supported model) in the Controller tab of the Configure Switch Matrix Settings dialog:

  1. Click the Signal Paths tab in the Configure Switch Matrix Settings dialog.

  2. Under the Sink column, select the channel or switch module in one of the drop-down options. You must manually select the alternative channel or driver module from the other drop-down option.

For example, if you choose Channel 1 in the first row, you must select Channel 2 in the drop-down options in the second row.

The Source column also displays the lane drop-down options, which appears after you select the channel in the Sink column. You may change the lane assignments and the corresponding Switch modules.

In both cases, that is, configuring signal paths with automatic or manual selection; click the View Connections... button to view the signal path mapping, to understand how the signal path maps to the connection diagrams being used by the application. By default, Initial HS Skew Calibration Burst Probing is selected.

In the following example, the path and channel assignments are associated with the Auto Load Switch Board connection:

Click the Tests... button to view information about the tests that use the selected connection to perform automated tests.

Click the Close button to exit and return to the Configure Switch Matrix Settings dialog to finish the signal path configuration.

If required, use the Reset Paths... button to clear all switch and response correction settings for all paths. Click OK if you wish to proceed.

Also, if needed, use the Load Preconfigured Settings... button to set switches for all paths as per the recommended settings. Click OK if you wish to proceed.

Response Correction

You must specify the response correction after you finish configuring the signal paths. This is a vital parameter that highly impacts the measurement accuracy, credibility and performance of the oscilloscope. The purpose of response correction is to correct the channel frequency response of the oscilloscope.

For each scope channel that you select, there are three response correction methods available in the Selected path correction mode: drop-down options:

· None—turn off normalization for the specified path. By default, this option is selected.

· InfiniiSim—specify response correction by configuring InfiniiSim for the selected channel.

· PrecisionProbe—specify response correction by characterizing the precision cable or probe.

If you select InfiniiSim option from the drop-down, the Configure InfiniiSim dialog displays.

Refer to Setting Up InfiniiSim to know about how to configure InfiniiSim. You may select the same port or a different port when configuring InfiniiSim for the different test points of a specific scope channel.

If you select PrecisionProbe option from the drop-down, the Configure PrecisionProbe / PrecisionCable dialog displays.

Refer to Setting Up the Precision Probe/Cable to know about how to configure the precision probe/cable. Depending on the number of test points on a specific scope channel, you may configure PrecisionProbe or PrecisionCable for the selected channel.

Once you configure the InfiniiSim or the PrecisionProbe mode and return to the Response Correction tab of the Configure Switch Matrix Settings dialog, you may use the [image] button or double-click the selected row to access the corresponding configuration dialog, if you wish to make further changes to a specific scope channel configuration.

Use the [image] button to establish a connection between the selected test point and scope channel. For example, if you click Execute Switches after selecting the first row, as shown below, you receive the following prompt. Click OK to close the prompt.

Once you have finished response corrections for all connections, click OK in the Configure Switch Matrix Settings dialog. The application redirects you to the test environment.


Setting Up the Test Environment

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Setting Up the Test Environment

· Click the Set Up tab, or click the Set Up box in the Task Flow pane.

The MIPI D-PHY Test Compliance application provides two sections for the configuration of the Device Under Test (DUT): Setup and Device Information.

  1. Setup—Defines the type of switch used in the fixture and the data lane used for the DUT Signal. The two areas available are:

· Fixture:—Select either Auto Load Switching or Manual Load Switching for the load switching technique on the fixture associated with the DUT. By default, Auto Load Switching is selected.

Note

To know more about the fixture options, refer to the "Fixture Options" section in the Keysight U7238C/U7238D MIPI D-PHY Conformance Test Application Methods of Implementation.

· Data Lane:—Select either Lane0, Lane1, Lane2 or Lane 3 as the data lane for the DUT signal. By default, Lane0 is selected.

Use the Switch Matrix feature to select multiple lanes at the same time, else the application prompts an error as shown below.

  2. Device Information—Defines the data rate and mode of the DUT signal. The areas available are:

· High-Speed Data Rate:—Type the data rate value for the DUT signal in the associated text field. The unit for the High-Speed data rate is Mbps. By default, this field displays 800 Mbps.

· CTS:—Displays v1.2 as the only MIPI D-PHY CTS specification supported by the compliance test application.

· Select one or more data and clock modes for the DUT signal to operate from the two rows available on the test application. By default, none of the options are selected.

  1. Continuous Data—Select this option when the data lane is not operating on low power mode.

  2. Data LP EscapeMode—Select this option when low power escape mode is enabled on the data lanes.

  3. Informative Test—Select this option to enable the informative test groups only.

  4. Continuous Clock—Select this option when the clock lane is not operating on low power mode.

  5. Clock LP EscapeMode—Select this option when low power escape mode is enabled on the clock lanes.

  6. Clock ULPS Mode—Select this option when Ultra-Low Power State (ULPS) mode is enabled on the clock lanes.

Note

A PHY configuration consists of one clock lane and one or more data lanes. However, you can enable only one data mode and one clock mode at a time on the data lane and clock respectively.

Selecting Continuous Data disables Data LP EscapeMode and vice-versa.

Selecting one of the clock modes disables the other two clock modes.

You may have one data mode and one clock mode enabled at the same time.

Informative Test is independent of data modes and clock modes and can be enabled or disabled any time.

· Device ID:—Type a device identifier name in the associated text field.

· User Comment:—Type appropriate comments associated with the DUT or test setup.

Next

· Selecting Tests


Selecting Tests

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Selecting Tests

  1. Click the Select Tests tab, or click the Select Tests box in the Task Flow pane.

  2. Check the tests you want to run.

    Note

    The tests that appear under the Select Tests tab are determined by the choices selected under the Set Up tab. The test list gets rebuilt each time a selection is made.

Some things to note:

· Checking a parent node/group will check all available sub-groups or tests.

· Unchecking a parent node/group will uncheck all sub-groups or tests.

· A parent node is checked if all subgroups are checked.

· A parent node is unchecked if ANY subgroup is unchecked.

Note

If a test has a non-range limit of 0, that is, value < 0, then the test application will provide a nominal value. This nominal value produces a non-infinite margin and is used to declare the 100% margin point. The assigned nominal value can be viewed at the description pane.

Using the Right-Click Pop-Up Menu

When you right-click in the test pane, it produces a pop-up menu containing some shortcuts for selecting and deselecting tests.

When Tests Have Already Been Run

If tests have already been run, you will see their status in the Select Tests tab.

The status marks have the following indications:

Status Mark | Indication
 | The tests have passed.
 | The tests have failed.
 | The test has not been run or no tests in the group have been run.
 | The test is currently running.
 | Some tests in the group have been run and passed.
 | Some tests in the group have been run and failed.
 | Some tests in the group have passed and some have failed; not all of the tests have been run.
 | Some tests in the group have passed and some have failed; all of the tests have been run.
 | All the tests in the group have run and passed.
 | All tests in the group have run and failed.
 | The test is an information only test

For more information, see:

· [image] Keysight U7238C/U7238D MIPI D-PHY Conformance Test Application Methods of Implementation

Next

· Configuring Tests


Configuring Tests

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Configuring Tests

  1. Click the Configure tab, or click the Configure box in the Task Flow pane.

  2. Select either Compliance Mode or Debug Mode.

    • Compliance Mode— lets you choose the configuration options necessary to meet the compliance standard tests.

    • Debug Mode— lets you modify the configuration options. This can be useful, for example, when investigating a test failure.

  3. Select the bulleted item for the settings you want to configure; then, select or enter your settings.

    A description of the selected configuration item appears in the lower, right part of the application window.

Note that you can also enter values in some of the drop-down selection fields. Entered values are checked for validity.

Tip

· A quick way to see the Debug Mode configuration option values that are used in the Compliance Mode is to switch from Compliance Mode to Debug Mode.

· A quick way to reset all the Debug configuration options is to switch from Debug Mode to Compliance Mode.

· A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

See Also

· Compliance Limits

Next

· Connecting the Oscilloscope to the DUT


Compliance Limits

Configuring Tests

Compliance Limits

You may define compliance limits within the MIPI D-PHY test compliance application by using the Compliance Limits feature.

Using this feature, you can:

· Activate/Refresh a Limit Set. See To Activate/Refresh Limit Set.

· Create/Edit a Limit Set. See To Create/Edit Limit Set.


To Activate/Refresh Limit Set

Compliance Limits

To Activate/Refresh Limit Set

  1. To access the Activate/Refresh Compliance Limit Set dialog, do one of the following:

· Under the Configure tab, click the [image] button.

· From the MIPI D-PHY Test Compliance Application's main menu, click Tools>Compliance Limits>Activate/Refresh limit set....

The Activate/Refresh Compliance Limit Set dialog displays.

By default, the Active Limit Set is MIPI D-PHY Test Limit v1.2. You may change the limit set in the Select a limit set to activate/refresh: area.

· Select an official limit set from the drop-down for Official limit sets:. Official limit sets are referred to the limit sets defined by Keysight Technologies. Usually, these limit sets reflect different versions of official specifications. Currently, the default official limit set in the application is MIPI D-PHY Test Limit v1.1.

· Click User-defined limit sets: to enable the Browse button and select a file from the local disk that defines the custom limit set that you (or another user) have created. The user-defined limit sets may contain values that are different from any official specification. See To Create/Edit Limit Set on how to create a user-defined limit set.

  2. Click [image] to enable the selected limit set. This will change the limit for the configuration options that are required to meet the compliance standard tests.


To Create/Edit Limit Set

Compliance Limits

To Create/Edit Limit Set

· To access the Create/Edit User-Defined Limit Set dialog, click Tools>Compliance Limits>Create/Edit limit set....

The Create/Edit User-Defined Limit Set dialog displays.

· Click the [image] button to load an existing official limit set or an existing user-defined limit set.

By default, the Active Limit Set: area displays (Official) MIPI D-PHY Test Limit v1.2. Also, the Official limit sets: radio button is selected by default under the Select a limit set to load: section.

· To select a user-defined limit set, select the User-defined limit sets: radio button to enable the field where you can type the file path and file name of the limit set file (*.lim).

· You may also click the Browse button to select the (*.lim) file from the local disk.

· In the Open dialog box, select the limit set file you want to load and click the Open button.

· The User-defined limit sets: field displays the entire file path and name.

· Click the Load button to view the attributes of the limit set file.

In the Create/Edit User-Defined Limit Set dialog, notice that some of the fields, which were grayed out earlier, are populated based on the attributes of the selected limit set file.

· In the Edit summary: section, you may type/edit the name of the limit set file in the Name: field and type/edit the reference standard name in the Shared reference: field.

· Click to select the test limit in the Select test limit(s) section that you wish to amend and modify.

· In the Select action to perform area, you can perform one of the following actions:

· Edit Limit Sets:

  1. Click the [image] button to modify the selected test limit set in the Edit Compliance Limit dialog. Click OK to save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

· Combine Limit Sets:

  1. Select two or more test limit rows and click the [image] button to combine test limits into one limit, such that the resultant limit covers more than one test ID.

  2. In the Combine Multiple Test Limits Into One dialog, verify the selected limit sets, which you wish to combine, in the Copy limits from: drop-down field. Type a summary name and description to identify the new combined test limit.

  3. Click the Finish button save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

· Split Limit Sets:

  1. Click the [image] button to access the Split One Test Limit Into Two dialog to split a combined test limit into single test limits.

Note

You can only split multi-test limits. If you attempt to split a single-test limit, the application prompts an error.

  2. Click the [image] button to split the required test limits by moving the selected test limits into the column on the right. Click the [image] button if you wish to retain a test limit in the original limit set.

  3. For proper identification of the separate limit sets, there are separate summary names and summary descriptions in the respective fields. Click the Finish button save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

  4. On the Create/Edit User-Defined Limit Set dialog, rename the new limit set with a unique name which is different from the name of any official limit set.

  5. Click Save As... to access the Save Limit Set As dialog to save your custom limit set, either Combined or Split, to a file.

  6. Click Save to save the new limit file on the local disk and return to the Create/Edit User-Defined Limit Set dialog.

· Click Close on the Create/Edit User-Defined Limit Set dialog to return to the test environment.


Connecting the Oscilloscope to the DUT

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Connecting the Oscilloscope to the DUT

  1. Click the Connect tab or click Connect in the Task Flow pane.

  2. View the Connection Diagram and follow the instructions to connect the Oscilloscope to the Device Under Test (DUT).

Note

The Connection Diagram and the list of instructions vary based on the configuration settings under the Set Up, Select Tests and Configure tabs.

  3. After making connections between the Oscilloscope and DUT based on the given instructions, click the I have completed these instructions check box.

  4. Click the Suppress all connection prompts check box if you want to suppress the pop-up messages and prompts when the tests are running. If you select this check box first, the I have completed these instructions check box gets automatically checked and grayed out.

For more information, see:

· [image] Keysight U7238C/U7238D MIPI D-PHY Conformance Test Application Methods of Implementation

Next

· Running Tests


Running Tests

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Running Tests

Note

You must allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

Tip

As a best practice, calibrate the oscilloscope at least once in a year or when the Calibration ΔTemp is greater than ±5 ºC. Refer to the Help>About Infiniium... menu on the Keysight Infiniium Oscilloscope to find the Calibration ΔTemp.

  1. To run the tests selected under the Select Tests tab, do one of the following options:

· Under the Select Tests tab, use the right-click pop-up menu within the test pane to run tests. Click All Checked Tests... to run all tests that are selected or Click Selected Branch Only... to run tests in a selected branch.

Alternatively, you may click [image] on the toolbar to run all the checked tests. This icon is active for all tabs. Click [image] on the toolbar to run tests in a selected branch. This icon is active for the Select Tests tab only.

· Under the Connect tab, click the Run Tests button to run the selected tests. By default, this button is grayed out. It is highlighted when you select either the I have completed these instructions check box or the Suppress all connection prompts check box.

· Under the Run Tests tab, click the Start button to run the selected tests.

You may configure the settings under the Run Tests tab to run the tests either Once, N (multiple but limited) Times or Forever.

For more information on the options available under the Run Tests tab, see:

· To select the "store mode"

· To run multiple times

· To send email on pauses or stops

· To pause or stop on events

· To specify the event

  2. If there are existing results for selected tests, you receive a prompt to choose the way you want to change the existing results before you continue. By default, Append New Trials is selected.

To retain the existing test results to compare with the new results of the selected tests, select Append New Trials.

To remove the existing test results, select Replace ALL Existing Trials so that only the new results of the selected tests are displayed.

  3. A Status window appears and displays the progress of the tests while they are running.

Click Stop to abort the tests from running any further. If you choose to abort the tests, click OK on the following prompt and the Results tab is displayed.

When running several tests, there may be a requirement to make changes to the physical connection/setup to be able to run particular tests. You may view the Change Physical Connection/Setup dialog similar to the one shown below.

You may click Cancel if you wish to abort the tests. You may click Ignore if you do not find a need to change the physical setup.

If you wish to continue, once you have made the physical changes to the connection according to the instructions listed on the Change Physical Connection/Setup dialog, select the check-box for [image] and click the [image] button to run the tests further. Click the [image] button if you wish to view the oscilloscope.

  4. When all selected tests are complete, click OK on the following prompt. The Results tab is displayed.

See Also

· To set the display preferences

· To set the run preferences

Next

· Viewing Results


To select the "store mode"

Running Tests

To select the Store Mode

You may select the type of trials that must be stored, especially when running multiple tests.

  1. Click the Run Tests tab.

  2. In the Store Mode section, select one of the drop-down options for trials.

By default, Worst is selected. Irrespective of the selection, the results of up to 25 trials are stored.

· Best — Stores the results of the best N trials.

· Event — Stores the results of N trials when a specific event is detected. See To specify the event.

· Last — Stores the results of the last N trials.

· Worst — Stores the results of the worst N trials.

If you change the type of trials in the Store Mode section, all existing test results will be deleted.

The selection in the Store Mode affects the trial display options in the Report tab. See To set trial display preferences.


To run multiple times

Running Tests

To run multiple times

You may select whether to run your tests once, more than once or forever.

  1. Click the Run Tests tab.

  2. In the Run Until section, select one of the drop-down options for Run test plans.

By default, Once is selected.

  • Forever — Tests are run repeatedly until you click the Stop button.

  • N Times — Tests are run "N" number of times. You must specify the number of runs by assigning a positive whole number for N. You may choose to have pauses between each run.

Note

When you choose to run the test plans N times, you may use the trial display options in the Report tab of the Preferences dialog box to specify how many trials are displayed in the test report. See To set trial display preferences.

  • Once — Tests are run only once.


To send email on pauses or stops

Running Tests

To send email on pauses or stops

You may configure the test application to send a notification email whenever a test run pauses or ends.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the Send email check box. The Configure button appears.

  3. Click Configure. The Configure Email dialog appears.

  4. In the Configure Email dialog box, enter the To and From email addresses and the host name of the SMTP Server.

  5. Click OK.

Pauses occur between runs when you run your test plans for a specific number of times (see To run multiple times) or when the test run pauses on occurrence of an event (see To pause or stop on events).


To pause or stop on events

Running Tests

To pause or stop on events

You may set up test runs to pause or stop at the end of each test upon occurrence of a preselected type of event.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the On event check box. A drop-down selection field appears.

  3. Select one of the options.

· Pause — The test run pauses when the selected type event occurs.

· Stop — The test run stops when the selected type of event occurs.

  4. In the Event section, select the type of event. See To specify the event.

You may set the pauses or stops between runs to automatically send notification emails (see To send email on pauses or stops).


To specify the event

Running Tests

To specify the event

You may select the type of event when you select Event for the type of trials in the Store Mode section and also after you choose to pause or stop the test runs upon occurrence of that event. See To select the Store Mode on how to select the type of trial and To pause or stop on events on how to enable the Events section.

  1. Click the Run Tests tab.

  2. In the Events section, click the drop-down selection field and choose one of the following options:

· Fail — Causes occurrence of an event when a prerequisite test or selected test fails.

· Margin < N — Causes occurrence of an event when a test generates a margin, which is less than the specified value of N (number of runs). When you select this option, you must enter the minimum required margin percentage.

· ~Pass — Causes occurrence of an event when a selected test passes.

The tilde (~) character in the Event selection drop-down indicates such types of events that are unavailable. If you select such type of an event, a dialog box prompts the reason for the unavailability of that type. For example, the condition for you to be able to select Pass as the event type is that you must set the type of trials under the Store Mode as either Best, Event or Last. As such, the event type Pass is prefixed with ~ because the type of trials under Store Mode is Worst.


To set the display preferences

Running Tests

To set the display preferences

You may choose to display or disable the information, warning and error dialogs and modify other display preferences while tests are running.

  1. From the MIPI D-PHY test compliance application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Display tab.

  3. Under the Display tab, you may deselect the check box to disable the display to either one or all types of the following dialogs:

· Information dialogs

· Warning dialogs

· Error dialogs

Note

Display messages where you must select either OK/Cancel or Yes/No, are always enabled.

  4. You may also enable/disable the following display options:

· Invert scope display— displays a white background when the application captures screen shots. By default, this option is disabled. Note that there is no inversion of the scope display if the oscilloscope's ColorGrade is enabled.

· Keep application on top— keeps the application's main dialog box on top of the Infiniium application. By default, this option is enabled. Irrespective of whether this option is enabled or not, the mid-run dialog boxes are always displayed on top.

· Log events— displays the log of all events that occur during the test runs. By default, this option is disabled. You must enable this option only when you are directed by the Keysight support organization.

· Show tooltips— enables appearance of tooltips as you hover the mouse pointer over various controls in the application. By default, this option is enabled.

  5. Click Apply to save changes and click OK to close the Preferences dialog box.


To set the run preferences

Running Tests

To set the run preferences

Other than enabling/disabling the display of Information, Warning and Error messages that may occur during test runs (see To set the display preferences), you may modify other preferences that affect the tests runs.

  1. From the MIPI D-PHY test compliance application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Run tab.

  3. In the Prompts section, select/deselect the following options. By default, these options are enabled:

· Beep when user prompted — enables beeps from the oscilloscope whenever there is a prompt for user inputs.

· Beep only during run — restricts the beeps to occur during test runs only.

  4. In the Test Abort Action section, select one of the following conditions that must be met if a test aborts:

· Continue the run — enables continuity in the running of tests until all tests are run, even if one or more tests abort. Note that you may view the problem descriptions related to the aborts after the test run ends.

· Stop the run and report the problem immediately — stops the running of tests as soon as a test aborts and the application generates a problem report immediately.

Note that the settings of the Test Abort Action section do not affect the Stop button.

  5. Click Apply to save the changes and click OK to close the Preferences dialog box.


Automating the Application

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Automating the Application

The Automation tab enables you to construct scripts of commands that drive the functionality of the application.

Select one of the modes: Script or Files. By default, Script is selected.

Script Mode

In the Script mode, the application runs commands entered in the script text box.

To construct a script of commands, do one of the following:

· Type in commands (one per line) in the script text box

· Use the command generator by clicking the Commands... button.

Tip

In either case of constructing a script, you may save the script to a text file to easily switch on to the Files automation mode.

Using the command generator in Automation

You may create either single commands or entire sample scripts (that demonstrate how commands work together) using the command generator.

· Single Command— In this mode,

  1. Select the tab that corresponds to the application tab or menu containing the controls you require to modify.

  2. Select the radio button for the action you desire to perform. The Use command(s) area displays the automation command that performs the desired action.

Most commands have placeholder parameters along with the instructions on how to modify/customize them.

· Entire Script— In this mode,

  1. Select a script that describes a task that provides you relevant & adequate information.

In either of the modes, you may click Copy to Clipboard button to copy the command and paste it within the script or click Append to Script to add the command towards the end of the script. You may optionally include instructions as comments that guide you in customizing the commands.

Note

The command lines that start with a pound (#) symbol in the script under the Automation tab do not function during test runs.

Files Mode

In the Files mode, the application runs commands that are found in files, as shown in the list. This list of files is constructed and managed using the buttons on the left.

Execution

Click the Start button to begin running the commands in the Script or Files mode. The first test starts running and the button changes to Stop.

Before the first test runs, you may click the Stop button to abort the test run. Once the run begins, the Status dialog box appears and you may use the Stop button on this dialog box.

Settings Status

Some commands result into visible changes to the application's tabs, such as selecting a test. Other commands modify settings that may not be visible, such as "SuppressMessages". To view the current value of the invisible properties, click the Settings... button to access the Settings status dialog box.

Command Line

To experiment with a command to check its functionality, type the command in the Try a command field and press the <Enter> key to check. If the output has a visible effect, such as selecting a test, go to the corresponding tab to check its behavior.


Viewing Results

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Viewing Results

  1. Click [image] in the toolbar or click the Results tab.

· The Results tab contains three resizeable panes to display information for test results. If you select one of the tests in the top pane, details and reference images (if any) are displayed in the lower panes.

· The summary of the selected test trial is displayed in the bottom left pane. This pane also displays the Worst Trial (depending on your settings in the Store Mode of the Run Tests tab).

· The bottom right pane may have several tabs, depending on the selected Report Preferences. If you select more than one trial, the first tab will be the Summary tab, which displays the summary of all the test trials. The application displays a maximum of 25 trials at one time.

· If you select worst first in the trial display option, the Worst Trial is the next tab after the Summary tab, followed by other trials in the order of trial performance.

· The reference images for the selected trials appear in the bottom right pane. See To show reference images and flash mask hits for more details on reference images.

Tip

A quick way to reset all configuration options and delete all test results is to create a new project. The new project has the default configuration options.

Note

If a test has a non-range limit of 0, that is, value < 0, the test application provides a nominal value. The nominal value produces a non-infinite margin and is used to declare the 100% margin point. You can view the assigned nominal value on the description pane.

See Also

· To delete trials from the results

· To show reference images and flash mask hits

· To change margin thresholds

· To change the test display order

· To set trial display preferences

Next

· Viewing/Exporting/Printing the Report


To delete trials from the results

Viewing Results

To delete trials from the results

Under the Results tab, select one or more trials that you want to delete and do one of the following:

  1. Click [image] on the toolbar.

Click Yes to delete the selected result.

  2. Press the Delete key on the keyboard.

  3. Right-click at a test result (in the upper pane) and select the trial or test to delete.

  4. Right-click inside the display area of the trial tab (in the lower pane).

· You may select and delete one trial if you have a summary of trials.

· You may select a specific trial to delete.

Select the check-box against the particular trial when you wish to delete a single trial:

If other tests have results that were generated during the same trial run as the trial you are deleting, the application asks you if you wish to delete these results at the same time.

Note

The number of trials and the results may not match. The application displays those results that were generated during the same run. You may choose to delete those trials as well.

· When you click OK after selecting the trials to delete, a confirmation dialog appears.

· The remaining trials are renumbered in the descending order to fill in the gap left by the deleted trial.

· If you delete the last remaining trial of a test, the entire test results are removed. You may use the Delete Selected Test... option in the upper pane to delete all results for a selected test.

Note

There are two situations where you are not allowed to delete a trial:

Case 1 — The trial you attempt to delete is the last remaining extreme trial but not the last remaining trial. In the MIPI D-PHY test compliance application, the maximum number of trials displayed is 25. For example:

  1. Let us assume N is 25 (the maximum number of trials displayed).

  2. You have more than N trials of a test.

  3. You may delete up to N-1 trials, where all these tests are displayed in the individual result tabs. You will not be able to delete the last remaining test displayed in the individual result tab or other non-displayed tests. However, you may delete the entire test.

Case 2 — The trial you attempt to delete is associated with a trial defined in Case 1.


To show reference images and flash mask hits

Viewing Results

To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

This opens the reference image dialog.

In the reference image dialog, you can:

· Click the flash red pixels button [image] to highlight the points of failure.

· Click the zoom in [image] or zoom out [image] buttons to resize the dialog.

  2. Click the close button [image] to close the reference image dialog.


To change margin thresholds

Viewing Results

To change margin thresholds

  1. From the MIPI D-PHY test compliance application's menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, select the Report tab.

  3. In the Margin Reporting section, you can:

· Enable or disable margin highlighting.

· Change the percent of margin at which to give warnings or critical failures.

  4. Click Apply to save your changes and OK to close the Preference dialog box.


To change the test display order

Viewing Results

To change the test display order

  1. From the MIPI D-PHY test compliance application's main menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Test Display section, order tests chronologically or you may use the same ordering as in the Select Tests tab.

  4. Click OK to save your changes and close the Preferences dialog box.


To set trial display preferences

Viewing Results

To set the Trial Display preferences

  1. From the MIPI D-PHY test compliance application's main menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Test Display section, order tests chronologically or you may use the same ordering as in the Select Tests tab.

  4. Click Apply to save your changes and click OK to close the Preferences dialog box.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


Viewing/Exporting/Printing the Report

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Viewing/Exporting/Printing the Report

To view the HTML test report, click the Html Report tab.

See Also

· To export the report

· To print the report

· To set HTML Report preferences

Next

· Saving Test Projects


To export the report

Viewing/Exporting/Printing the Report

To export the report

  1. From the MIPI D-PHY test compliance application's main menu, click File>Export>Results.

  2. To export the HTML test report, click either CSV or HTML.

To export results in CSV (comma-separated value) format

Select CSV to export the results as a comma-separated list of values.

The data format is shown in the first line of the exported *.csv file.

To export the report in HTML format

You may export the test reports in HTML format using Single-File or Multi-File mode.

· Single-File — To save a single-file report, select "Web Archive, single file (.mht)" for the "Save As" type.

Note

Single-file reports do not contain hyperlinks in the summary table, due to the .mht format limitation. If you require these hyperlinks, use the multi-file format.

· Multi-File — For large reports, where you may prefer using links within the report, select the HTML>Multi-File option. Selecting the multi-file option exports the results as a set of separate image and HTML files.

Select a folder in the Browse For Folder dialog to save the report.

The application creates a folder with the specified name that may be copied to any computer. To view the exported report, open the HTML file stored in the folder.


To print the report

Viewing/Exporting/Printing the Report

To print the report

· To preview the HTML test report printout, click [image] or choose File>Print Preview... from the MIPI D-PHY test compliance application's menu.

· To print the HTML test report, click [image] or choose File>Print... from the menu.


To set HTML Report preferences

Viewing/Exporting/Printing the Report

To set HTML Report Preferences

  1. From the MIPI D-PHY test compliance application's menu, click View>Preferences....

    Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, select the Report tab.

  3. In the Jump Actions section, you can:

· Select the check-box for Select Tests tab double click jumps to result to enable double-click on the tests under the Select Tests tab, which would display the corresponding results under the Results tab. By default, this setting is disabled.

· Select the check-box for HTML Report tab display jumps to selected result to enable clicking on main HTML report, which will cause the report to scroll down to the location of the test result that is currently selected on the Results tab. If no tests are selected under the Results tab, the HTML report stays on top. By default, this setting is disabled. Regardless of this setting, if you double-click a row on the Results tab, the application automatically displays the HTML Report tab and scrolls down to the corresponding result.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.


Understanding the Report

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Understanding the Report

The information in this topic will help you understand the different sections of the MIPI D-PHY HTML Report.

The top section of the MIPI D-PHY HTML Report contains the report header. The figure that follows shows an example of a report header. It has information about the oscilloscope used to perform the test: the version of the oscilloscope's application, the model number and the serial number of the oscilloscope as well as the date and time the test was performed. Information entered and selections made in the Set Up tab are also displayed in this box. If any of this information was not entered, it will not be displayed here.

Summary of Results

The Summary of Results section gives an overview for each of the tests that were run. The Pass column indicates wether the tests passed or failed. The Actual Value column shows the actual case value across all of the trials. The Margin column shows the percentage of pass or fail and its criticality, depending on the criteria set for the Margin Thresholds (under the Preferences dialog box).

Report Detail

The next section of the report shows the statistics for each of the selected measurements.


Saving Test Projects

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Saving Test Projects

· To save test settings and results to the current project directory:

  1. Choose File>Save Project from the MIPI D-PHY test compliance application's main menu.

· To save test settings and results to a new project directory:

  1. Choose File>Save Project As... from the MIPI D-PHY test compliance application's main menu.

  2. In the Browse for Folder dialog box, select the appropriate folder location.

Project files are saved in a directory whose name is the device name.

  3. Click OK.

For more information, see:

· [image] Keysight U7238C/U7238D MIPI D-PHY Conformance Test Application Methods of Implementation

See Also

· To set AutoRecovery preferences

Next

· Controlling the Application via a Remote PC


To set AutoRecovery preferences

Saving Test Projects

To set AutoRecovery preferences

  1. From the MIPI D-PHY test compliance application's menu, choose View>Preferences....

  2. In the Preferences dialog box, select the Save/Load tab.

  3. In the Auto Recovery section, select one of the following options:

· To auto-save results after each trial or permutation even if the entire multi-trial is not complete. This option enables full recovery.

· To auto-save results only upon the completion of the entire multi-trial.

  4. Click Apply to save changes and click OK to close the Preferences dialog box.


User Defined Add-Ins

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

User-Defined Add-Ins

If there are measurements you would like the compliance test application to make that are not currently included in its test list, you can use the Keysight N5467A User Defined Application (UDA) tool to design and deploy an "add-in", or package of tests that can be imported into existing compliance applications. Please see the UDA documentation for information on how to create an add-in.

See Also

  • To install an add-in

  • To remove an add-in


To install an add-in

User-Defined Add-Ins

To install an add-in

  1. From the MIPI D-PHY test compliance application's main menu, click File>User Defined:

The application prompts for the location of the add-in's installer (created by the N5467A UDA tool):

  2. Click the Open button, a prompt appears prior to the installation of add-in:

[Caution]

If your project has unsaved test results, click Cancel and save the project before retrying.

  3. Click OK after saving any existing test results, the add-in is installed and the MIPI D-PHY test compliance application closes.

  4. Once the application launches again, the following prompt appears. Click OK.

Add-in tests are only visible in Debug Mode, so when there is an active add-in installed, the test application will start up in this mode.

In the Debug mode, add-in tests are displayed in their own test group under the Select Tests tab. You may select these tests to see the description in the area below.

As a result of installing add-ins, under the Configure tab, by default, Debug is selected in the Mode: area.

If you switch to the Compliance mode at this stage, the following prompt appears:

  5. To view the add-in tests under the Select Tests tab, click Cancel. To hide the add-in tests from the Select Tests tab, click OK and the Configure tab displays Configure mode options.


To remove an add-in

User-Defined Add-Ins

To remove an add-in

  1. From the MIPI D-PHY test compliance application's main menu, click File>User Defined>Uninstall Add-In...:

The application displays the following prompt before you uninstall the add-in. Click OK if you wish to uninstall the add-in.

[Caution]

If your project has unsaved test results, choose Cancel and save the project before retrying.

When you click OK after saving any existing test results, the MIPI D-PHY test compliance application restarts and the add-in is uninstalled.


Controlling the Application via a Remote PC

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Controlling the Application via a Remote PC

If the App Remote license option is installed (for the N5452A remote interface) on the oscilloscope, the MIPI D-PHY test compliance application's Preference dialog contains a Remote tab, which allows you to enable the remote interface and configure the remote options.

Using the N5452A remote interface, you can control Infiniium compliance applications from a remote PC. While the remote interface has ready-to-run executable features available, you may also create custom programs using the .NET 2.0 programming language or the National Instruments' LabVIEW 8.5 graphical programming environment.

With the remote interface, you can:

· Launch and close the applications

· Configure options

· Run tests

· Obtain results

· Control display options & preferences

· Save and load projects

For more information on the remote interface, see the N5452A Remote Interface for Infiniium Compliance Applications on the Keysight web site.

See Also

· To check for the App Remote license

· To identify the remote interface version

· To enable the remote interface

· To enable remote interface hints

Next

· Using a Second Monitor


To check for the App Remote license

Controlling the Application via a Remote PC

To check for the App Remote license

  1. From the Infiniium Oscilloscope's main menu, choose Help>About Infiniium.

  2. In the license set, check for the App Remote license.


To identify the remote interface version

Controlling the Application via a Remote PC

To identify the remote interface version

  1. From the MIPI D-PHY test compliance application's main menu, click Help>About....

  2. In the About dialog, the remote interface version is listed above the Add-In Interface version information.


To enable the remote interface

Controlling the Application via a Remote PC

To enable the remote interface

  1. From the MIPI D-PHY test compliance application's main menu, click View>Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. Select the Enable remote interface option if you require access to the application remotely.

If you perform the tests with the application's user interface and want to ensure that there is no interference from other remote users, deselect the Enable remote interface option to disable remote interface.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To enable remote interface hints

Controlling the Application via a Remote PC

To enable remote interface hints

  1. From the MIPI D-PHY test compliance application's main menu, click View>Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. In the Remote Options section, select the Show remote interface hints in language: check box.

When you select this option:

· Select the remote programming language described in the tips.

· Tooltips related to the remote interface commands appear when you click the toolbar.

· Various controls in the tabs will have a context menu item added as "Remote interface hint...".

· The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Using a Second Monitor

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Using a Second Monitor

You may use a second monitor to display the MIPI D-PHY test compliance application, allowing you to view the oscilloscope while using the application. If required, connect the second monitor to the video port labeled Second Monitor on the rear panel of the Oscilloscope. Do not connect the second monitor to the port labeled VGA.

Note

The VGA output only displays the screen of the oscilloscope on the external monitor.

Before starting the MIPI D-PHY test compliance application, ensure that the second monitor is configured properly:

  1. Exit the oscilloscope application and click the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Personalization.

  4. Under Display, click Connect to an external display.

  5. Select the second monitor in the Display: drop-down. The recommended screen resolution changes accordingly.

If you wish to select a screen resolution, which is different than the recommended setting, click the drop-down for Resolution: and select an option.

  6. In the Multiple displays: drop-down, select Extend these displays to be able to move the mouse pointer on the oscilloscope screen to the second monitor's display.

To stop using the second monitor, select the Show desktop only on 1 control from the Multiple displays: drop-down.

  7. Click Apply to save these changes and click OK to close the Screen Resolution dialog box.

See Also

· MIPI D-PHY Test Compliance Application—At a Glance


Restricted Rights Legend

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Keysight Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Trademarks

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.

All other marks are the property of their respective owners.


Warranty

Keysight U7238C/U7238D MIPI D-PHY Test Compliance Application Online Help

Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.